%{!?make_build:   %global make_build   make %{?_smp_mflags}}
%{!?make_install: %global make_install make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"}

%if 0%{?fedora} >= 11 || (0%{?rhel} && 0%{?rhel} >= 7)
%global fullbuild 1
%endif

Name:           wget2
Version:        1.99.2
Release:        0%{?dist}.3sunshine
Summary:        A utility for retrieving files using the HTTP or FTP protocols

License:        GPLv3+
URL:            https://gitlab.com/gnuwget/wget2
Source0:        https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz

# Patch0:         wget2-1.99.2-gcc_pragma_in_function.patch

BuildRequires:  gcc make
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  gpgme-devel >= 0.4.2
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
%if 0%{?fullbuild}
BuildRequires:  libpsl-devel
# BuildRequires:  libhsts-devel
BuildRequires:  libnghttp2-devel
BuildRequires:  brotli-devel
BuildRequires:  libzstd-devel
BuildRequires:  xz-devel
BuildRequires:  pcre2-devel
BuildRequires:  doxygen
%else
BuildRequires:  lzma-devel
BuildRequires:  pcre-devel
%endif


%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%package -n libwget
Summary:        An HTTP(S) client library

%description -n libwget
Libwget is an HTTP(S) client library + much more.

%package -n libwget-devel
Summary:        Files for developing with libwget
Requires:       libwget

%description -n libwget-devel
Files for developing with libwget.


%prep
%if 0%{?autosetup}
%autosetup
%else
%setup -q
%(grep -E '^Patch[0-9]+:' %{_specdir}/%{name}.spec | sed -r 's/^P/%p/;s/:[      ]+/ -p1 -b ./;s/.patch$//')
%endif


%build
%if 0%{?fullbuild}
%configure
%else
%configure --disable-doc
%endif
%make_build


%install
%make_install
# rm -f %{buildroot}%{_bindir}/wget2_noinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m644 docs/man/man1/%{name}.1 %{buildroot}%{_mandir}/man1

%find_lang %name


%check
%if 0%{?fullbuild}
make check
%endif


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%exclude %{_bindir}/%{name}_noinstall

%files -n libwget
%license COPYING.LESSER
%{_libdir}/libwget.so.0*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
#%%{_libdir}/libwget_alloc.so.0*
#%%{_libdir}/libwget_common.so.0*
#%%{_libdir}/libwget_css.so.0*
#%%{_libdir}/libwget_decompress.so.0*
#%%{_libdir}/libwget_dnscache.so.0*
#%%{_libdir}/libwget_dns.so.0*
#%%{_libdir}/libwget_encoding.so.0*
#%%{_libdir}/libwget_hashfile.so.0*
#%%{_libdir}/libwget_hpkp_db.so.0*
#%%{_libdir}/libwget_hsts.so.0*
#%%{_libdir}/libwget_http_parse.so.0*
#%%{_libdir}/libwget_io.so.0*
#%%{_libdir}/libwget_ip.so.0*
#%%{_libdir}/libwget_iri.so.0*
#%%{_libdir}/libwget_logger.so.0*
#%%{_libdir}/libwget_metalink.so.0*
#%%{_libdir}/libwget_netrc.so.0*
#%%{_libdir}/libwget_ocsp.so.0*
#%%{_libdir}/libwget_progress.so.0*
#%%{_libdir}/libwget_robots.so.0*
#%%{_libdir}/libwget.so.0*
#%%{_libdir}/libwget_thread.so.0*
#%%{_libdir}/libwget_tls_session.so.0*
#%%{_libdir}/libwget_xml.so.0*

%files -n libwget-devel
%license COPYING.LESSER
%{_includedir}/wget*.h
%{_libdir}/libwget.so
#%%{_libdir}/libwget_alloc.so
#%%{_libdir}/libwget_common.so
#%%{_libdir}/libwget_css.so
#%%{_libdir}/libwget_decompress.so
#%%{_libdir}/libwget_dnscache.so
#%%{_libdir}/libwget_dns.so
#%%{_libdir}/libwget_encoding.so
#%%{_libdir}/libwget_hashfile.so
#%%{_libdir}/libwget_hpkp_db.so
#%%{_libdir}/libwget_hsts.so
#%%{_libdir}/libwget_http_parse.so
#%%{_libdir}/libwget_io.so
#%%{_libdir}/libwget_ip.so
#%%{_libdir}/libwget_iri.so
#%%{_libdir}/libwget_logger.so
#%%{_libdir}/libwget_metalink.so
#%%{_libdir}/libwget_netrc.so
#%%{_libdir}/libwget_ocsp.so
#%%{_libdir}/libwget_progress.so
#%%{_libdir}/libwget_robots.so
#%%{_libdir}/libwget.so
#%%{_libdir}/libwget_thread.so
#%%{_libdir}/libwget_tls_session.so
#%%{_libdir}/libwget_xml.so
%{_libdir}/pkgconfig/libwget.pc
%if 0%{?fullbuild}
%{_mandir}/man3/libwget*
%endif

%changelog
* Sat Jan 09 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.99.2-0.3sunshine
- adapt BRs for EPEL
- package devel man pages
- install program man page unconditionally

* Sat Jan 09 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.99.2-0.2sunshine
- adapt BRs for newer Fedoras

* Sat Jan 09 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.99.2-0.1sunshine
- initial RPM build
